<?php
include "ver_sessao.php";
include "conecta.php";

	//$NOME_VALOR = "prod_tx_valor".$_SESSION[user_nb_loja];
	
	if( $_POST[nome] )
		$_GET[nome] = $_POST[nome];
	if( $_POST[c] )
		$_GET[c] = $_POST[c];
	
	$TABELA = 'produto';
	$TAB = substr($TABELA,0,4);
	
	cabecalho2('Busca de Produtos');

	$c1 = cactux::campo('Nome:','nome','',10," onfocus=teste_net('$TABELA')  onkeyup=fecha_combo_net_teclado(event)");
	$busca = cactux::botao_submit("Buscar",2,'index','c',$_GET[c]);
	if( $ARQUIVO )
		$insere = cactux::botao("Inserir",2,'insere');
	$fecha = cactux::botao("Fechar",2,'cancelar'," onclick=fecha_combo_net();");
	$status = cactux::msg_status(4);
	
	cactux::abre_form('get');

	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c1,$c2);
	cactux::linha_fieldset($busca,$insere,$fecha,$status);
	cactux::fecha_fieldset();
	
	cactux::fecha_form();
	cactux::acao_botao('insere','','','',"$ARQUIVO");
	
	javascript("
		
		function teste_net(tab) {
			
			if( tab == 'ERRO_CACTUX' ) {
				fecha_combo_net();
			}
			
		}
		
	");
	
	if( !$_GET[nome] )
		return;
	
	$_GET[nome] = str_replace("%20"," ",$_GET[nome]);
	$_GET[nome] = str_replace(" ","%",$_GET[nome]);
	
	$sql = selecionar("preco,".$TABELA,$TAB."_tx_status","ativo"," AND prec_nb_planosaude = '1' AND ( ".$TAB."_tx_nome LIKE '%$_GET[nome]%' ) ORDER BY ".$TAB."_tx_nome",1);
	
	$_GET[nome] = str_replace("%","%20",$_GET[nome]);
	
	$BUSCA = grid::gerar_paginacao($sql,'acao,nome,c',"index,$_GET[nome],$_GET[c]");
	
	//GRID
	$cabeca[] = array('CÓD.','NOME');
	$cabeca[] = 'c,e';
	$cabeca[] = '15%,';
	
	while( $a = carrega_array($BUSCA[0]) ) {
		$NOME_VALOR_UN = "prec_tx_valorUnit";
		$NOME_VALOR_CX = "prec_tx_valorEmb";
		
		//$valores[] = array($a[0],".seleciona_combo_net($a[0],'$a[prod_tx_nome] $a[prod_tx_marca]  $a[prod_tx_unidade]  $a[prod_tx_medida]');");
		$valores[] = array($a[0],"<a href=# onclick=\"seleciona_combo_net(1,'$a[prod_tx_nome] $a[prod_tx_marca]  $a[prod_tx_unidade]  $a[prod_tx_medida]');
							parent.window.document.cadastro.valor.value='".mostra_valor($a[$NOME_VALOR_UN])."';
							parent.window.document.cadastro.valor_cx.value='".mostra_valor($a[$NOME_VALOR_CX])."';
							parent.window.document.cadastro.valor_un.value='".mostra_valor($a[$NOME_VALOR_UN])."';
							parent.window.document.cadastro.forma.value='Unidade';\">$a[prod_tx_nome] $a[prod_tx_marca]  $a[prod_tx_unidade]  
							$a[prod_tx_medida]</a>");	
	
	}
	
	grid::gerar($cabeca,$valores);
	grid::Paginar($BUSCA);

?>